exec("./RTBPrefs.cs");

	if($disableEvent == 1)
		unRegisterOutputEvent(GameConnection,"bottomprint");

//+-+-+-+-+-+-+-//
//TICKING SYSTEM//
//+-+-+-+-+-+-+-//
	function InformationTick()
	{
		if($TickEnabled)
		{
			if(isEventPending($InformationTick))
			{
				cancel($InformationTick);
				announce("Canceled Event.");
			}
			$InformationTick = schedule($tickinterval,0,sendClientInformation);
		}
	}

	function sendClientInformation()
	{	
		for(%i = 0; clientGroup.GetCount() > %i; %i++)
		{
			%Name = clientgroup.getObject(%i).name;
			%client = clientgroup.getObject(%i);
			%bricks = %client.brickgroup.getCount();
			%OverallBricks = getBrickCount();
			if(!%client.hasnoinfo)
			{
				if(!%client.HelpFeedEntered)
					commandtoclient(%client,'bottomprint',"<font:impact:30><color:FFFF00>" @ %name @ " <color:ffffff>| <color:FF7300>" TAB " Bricks:   <color:ffffff>" @ %bricks @ "/" @ %OverallBricks @ " | <color:723f43>Time: <color:ffffff>"@ GetWord(getDateTime(),1) @ " | <color:64594D><font:impact:20> /FeedHelp for more info.",2);
				else
					commandtoclient(%client,'bottomprint',"<font:impact:30><color:FFFF00>" @ %name @ " <color:ffffff>| <color:FF7300>" TAB " Bricks:   <color:ffffff>" @ %bricks @ "/" @ %OverallBricks @ " | <color:723f43>Time: <color:ffffff>"@ GetWord(getDateTime(),1) @ " | <color:723f43>Date: <color:ffffff>"@ GetWord(getDateTime(),0) @ "",2);
			}
		}
		informationTick();
	}

//+-+-+-+-+-+//
//SERVER CMDS//
//+-+-+-+-+-+//
	
	function ServerCmdToggleInfoBar(%client)
	{
		if(!%client.hasnoinfo)
		{
			messageClient(%client , ' ' , "\c5You no longer have a live feed of the server's information.");
			%client.hasnoinfo = 1;
		}
		else
		{
			messageClient(%client , ' ' , "\c5You now have a live feed of the server's information.");
			%client.hasnoinfo = 0;
		}
	}

	function ServerCmdFeedHelp(%Client)
	{
		MessageClient(%client,'',"-+-\c5Here are the commands to customise your bottomPrint bar.");
		MessageClient(%client,'',"\c5Commands -");
		MessageClient(%client,'',"\c6/ToggleInfoBar \c5(Toggles the information feed to view or not)");
		MessageClient(%client,'',"\c6/FeedCredits \c5(This shows who created this modification)");
		if(getNumKeyID() == %client.bl_id)
			messageClient(%client, '' , "\c6/DisableFeed OR /EnableFeed \c5(these disable or enable the bottomprint live feed) [Host Only]");
		%client.HelpFeedEntered = 1;
	}

	function ServerCmdDisableFeed(%Client)
	{
		if(getNumKeyID() == %client.bl_id)
		{
			DisableTick();
			messageClient(%client , '' , "\c5Disabled Feed.");
		}
		else
			messageClient(%client , ' ' , "\c5You do not have the priority to disable the server's information feed!");
	}

	function ServerCmdEnableFeed(%Client)
	{
		if(getNumKeyID() == %client.bl_id)
		{
			EnableTick();
			messageClient(%client , '' , "\c5Enabled Feed.");
		}
		else
			messageClient(%client , ' ' , "\c5You do not have the priority to enable the server's information feed!");
	}

	function ServerCmdFeedCredits(%client)
	{
		messageClient(%client , ' ' , "\c5This modification has been created by Darren. [BLID = 7893]");
		messageClient(%client , ' ' , "\c5Check out other modifications created by Darren <a:forum.returntoblockland.com/dlm/search.php?k=&a=Darren&sc=999&ca=999&o=1&i=1&submit=Search>here</a>.");		
	}
	function DisableTick()
	{
		Announce("Information Tick has been disabled.");
		$tickEnabled = 0;
	}

	function EnableTick()
	{
		Announce("Information Tick has been enabled.");
		$tickEnabled = 1;
		InformationTick();
	}

if($tickEnabled)
	InformationTick();

